Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK

## java.lang
Class ClassLoader

Method Summary
`ClassLoader` | `getRootLoader()` Iterates through the classloader parents until it finds a loader with a class named "org `null` will be returned a direct comparison using == may fail as the class may be loaded through different classloaders

Method Detail

### getRootLoader

    public ClassLoader getRootLoader()

  Iterates through the classloader parents until it finds a loader with a class named "org.codehaus.groovy.tools.RootLoader". If there is no such class `null` will be returned. The name is used for comparison because a direct comparison using == may fail as the class may be loaded through different classloaders.

Returns:
  the rootLoader for the ClassLoader

See:
  RootLoader.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK